# CbcHeuristicRINS Class Reference

LocalSearch class. More...

`#include <CbcHeuristicRINS.hpp>`

Inheritance diagram for CbcHeuristicRINS:
[legend]
Collaboration diagram for CbcHeuristicRINS:
[legend]

List of all members.

## Public Member Functions
| CbcHeuristicRINS ()
| CbcHeuristicRINS (CbcModel &model)
| CbcHeuristicRINS (const CbcHeuristicRINS &)
| ~CbcHeuristicRINS ()
virtual CbcHeuristic * | clone () const
| Clone.
CbcHeuristicRINS & | operator= (const CbcHeuristicRINS &rhs)
| Assignment operator.
virtual void | generateCpp (FILE *fp)
| Create C++ lines to get to current state.
virtual void | resetModel (CbcModel *model)
| Resets stuff if model changes.
virtual void | setModel (CbcModel *model)
| update model (This is needed if cliques update matrix etc)
virtual int | solution (double &objectiveValue, double *newSolution)
| returns 0 if no solution, 1 if valid solution.
int | solutionFix (double &objectiveValue, double *newSolution, const int *keep)
| This version fixes stuff and does IP.
void | setHowOften (int value)
| Sets how often to do it.
char * | used () const
| Used array so we can set.
void | setLastNode (int value)
| Resets lastNode.
## Protected Attributes
int | numberSolutions_
| Number of solutions so we can do something at solution.
int | howOften_
| How often to do (code can change).
int | numberSuccesses_
| Number of successes.
int | numberTries_
| Number of tries.
int | stateOfFixing_
| State of fixing continuous variables - 0 - not tried +n - this divisor makes small enough -n - this divisor still not small enough.
int | lastNode_
| Node when last done.
char * | used_
| Whether a variable has been in a solution.

## Detailed Description

LocalSearch class.

Definition at line 17 of file CbcHeuristicRINS.hpp.

## Constructor & Destructor Documentation

CbcHeuristicRINS::CbcHeuristicRINS | ( |  | ) |

CbcHeuristicRINS::CbcHeuristicRINS | ( | CbcModel & | model | ) |

CbcHeuristicRINS::CbcHeuristicRINS | ( | const CbcHeuristicRINS & |  | ) |

CbcHeuristicRINS::~CbcHeuristicRINS | ( |  | ) |

## Member Function Documentation

virtual CbcHeuristic* CbcHeuristicRINS::clone | ( |  | ) | const`[virtual]`

Clone.

Implements CbcHeuristic.

CbcHeuristicRINS& CbcHeuristicRINS::operator= | ( | const CbcHeuristicRINS & | rhs | ) |

Assignment operator.

Reimplemented from CbcHeuristic.

virtual void CbcHeuristicRINS::generateCpp | ( | FILE * | fp | ) | `[virtual]`

Create C++ lines to get to current state.

Reimplemented from CbcHeuristic.

virtual void CbcHeuristicRINS::resetModel | ( | CbcModel * | model | ) | `[virtual]`

Resets stuff if model changes.

Implements CbcHeuristic.

virtual void CbcHeuristicRINS::setModel | ( | CbcModel * | model | ) | `[virtual]`

update model (This is needed if cliques update matrix etc)

Reimplemented from CbcHeuristic.

virtual int CbcHeuristicRINS::solution | ( | double & | objectiveValue,
|  | double * | newSolution |
| ) |  |  | `[virtual]`

returns 0 if no solution, 1 if valid solution.

Sets solution values if good, sets objective value (only if good) This does Relaxation Induced Neighborhood Search

Implements CbcHeuristic.

int CbcHeuristicRINS::solutionFix | ( | double & | objectiveValue,
|  | double * | newSolution,
|  | const int * | keep |
| ) |  |  |

This version fixes stuff and does IP.

void CbcHeuristicRINS::setHowOften | ( | int | value | ) | `[inline]`

Sets how often to do it.

Definition at line 63 of file CbcHeuristicRINS.hpp.

char* CbcHeuristicRINS::used | ( |  | ) | const`[inline]`

Used array so we can set.

Definition at line 67 of file CbcHeuristicRINS.hpp.

void CbcHeuristicRINS::setLastNode | ( | int | value | ) | `[inline]`

Resets lastNode.

Definition at line 71 of file CbcHeuristicRINS.hpp.

## Member Data Documentation

int CbcHeuristicRINS::numberSolutions_`[protected]`

Number of solutions so we can do something at solution.

Definition at line 79 of file CbcHeuristicRINS.hpp.

int CbcHeuristicRINS::howOften_`[protected]`

How often to do (code can change).

Reimplemented from CbcHeuristic.

Definition at line 81 of file CbcHeuristicRINS.hpp.

int CbcHeuristicRINS::numberSuccesses_`[protected]`

Number of successes.

Definition at line 83 of file CbcHeuristicRINS.hpp.

int CbcHeuristicRINS::numberTries_`[protected]`

Number of tries.

Definition at line 85 of file CbcHeuristicRINS.hpp.

int CbcHeuristicRINS::stateOfFixing_`[protected]`

State of fixing continuous variables - 0 - not tried +n - this divisor makes small enough -n - this divisor still not small enough.

Definition at line 91 of file CbcHeuristicRINS.hpp.

int CbcHeuristicRINS::lastNode_`[protected]`

Node when last done.

Definition at line 93 of file CbcHeuristicRINS.hpp.

char* CbcHeuristicRINS::used_`[protected]`

Whether a variable has been in a solution.

Definition at line 95 of file CbcHeuristicRINS.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Cbc-2.7.7/Cbc/src/CbcHeuristicRINS.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines